"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupOutPath = void 0;
const tslib_1 = require("tslib");
const interactive_1 = require("../../../global/options/interactive");
const prompt_1 = require("../../../core/prompt");
const validation_1 = require("../../../core/validation");
const outPath_constant_1 = require("./outPath.constant");
const fs_1 = require("fs");
function setupOutPath(config) {
    var _a;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let outPath = (_a = config === null || config === void 0 ? void 0 : config.persist) === null || _a === void 0 ? void 0 : _a.outPath;
        if ((0, interactive_1.get)()) {
            outPath = yield (0, prompt_1.promptParam)({
                message: outPath_constant_1.PROMPT_PERSIST_OUT_PATH,
                initial: outPath || outPath_constant_1.DEFAULT_PERSIST_OUT_PATH,
                skip: !!outPath
            });
        }
        const errors = (0, validation_1.applyValidations)(outPath, [
            validation_1.VALIDATORS.required,
        ]);
        if ((0, validation_1.hasError)(errors)) {
            throw new Error(outPath_constant_1.ERROR_PERSIST_OUT_PATH_REQUIRED);
        }
        // DX create directory if it does ot exist
        try {
            (0, fs_1.readdirSync)(outPath);
        }
        catch (e) {
            (0, fs_1.mkdirSync)(outPath);
        }
        return Object.assign(Object.assign({}, config), { persist: Object.assign(Object.assign({}, config === null || config === void 0 ? void 0 : config.persist), { outPath }) });
    });
}
exports.setupOutPath = setupOutPath;
//# sourceMappingURL=outPath.setup.js.map