"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = exports.param = void 0;
const yargs_1 = require("yargs");
const pre_set_1 = require("../../pre-set");
function getDefaultByCliMode() {
    return (0, pre_set_1.getEnvPreset)().interactive;
}
exports.param = {
    interactive: {
        alias: 'i',
        type: 'boolean',
        description: 'When false questions are skipped with the values from the suggestions. This is useful for CI integrations.',
        default: getDefaultByCliMode()
    }
};
// We don't rely on yargs option normalization features as this can happen before cli bootstrap
function get() {
    const { interactive, i } = yargs_1.argv;
    return interactive !== undefined ? Boolean(interactive) : i !== undefined ? Boolean(i) : exports.param.interactive.default;
}
exports.get = get;
//# sourceMappingURL=interactive.js.map