"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEnvPreset = exports.SANDBOX_PRESET = exports.CI_PRESET = exports.DEFAULT_PRESET = void 0;
const cli_mode_1 = require("./global/cli-mode/cli-mode");
const path = require("path");
const DEFAULT_RC_NAME = '.user-flowrc.json';
const DEFAULT_RC_PATH = `./`;
exports.DEFAULT_PRESET = {
    // GLOBAL
    rcPath: path.join(DEFAULT_RC_PATH, DEFAULT_RC_NAME),
    interactive: true,
    verbose: false,
    // PERSIST COMMAND
    openReport: true,
    format: []
};
exports.CI_PRESET = Object.assign(Object.assign({}, exports.DEFAULT_PRESET), { 
    // GLOBAL
    interactive: false, verbose: false, 
    // COLLECT COMMAND
    dryRun: true, 
    // PERSIST COMMAND
    openReport: false });
exports.SANDBOX_PRESET = Object.assign(Object.assign({}, exports.DEFAULT_PRESET), { 
    // GLOBAL
    verbose: true, 
    // COLLECT COMMAND
    dryRun: true, 
    // PERSIST COMMAND
    openReport: false });
function getEnvPreset() {
    const m = (0, cli_mode_1.detectCliMode)();
    if (m === 'SANDBOX') {
        return exports.SANDBOX_PRESET;
    }
    if (m === 'CI') {
        return exports.CI_PRESET;
    }
    return exports.DEFAULT_PRESET;
}
exports.getEnvPreset = getEnvPreset;
//# sourceMappingURL=pre-set.js.map